| Orthanc Plugin SDK 1.11.1 Documentation of the plugin interface of Orthanc

Public Attributes | List of all members
OrthancPluginMemoryBuffer64 Struct Reference
Toolbox

A 64-bit memory buffer allocated by the core system of Orthanc. More...

`#include <OrthancCPlugin.h>`

## Public Attributes
void * | data
| The content of the buffer.
uint64_t | size
| The number of bytes in the buffer.

## Detailed Description

A memory buffer allocated by the core system of Orthanc. When the content of the buffer is not useful anymore, it must be free by a call to OrthancPluginFreeMemoryBuffer64().

The documentation for this struct was generated from the following file:

- OrthancCPlugin.h